POS API Reference
HomeSimpra POSSimpra InventoryCheck&Place
HomeSimpra POSSimpra InventoryCheck&Place
  1. Employees
  • Introduction
  • Checks
    • List checks
      GET
    • Get check by ID
      GET
    • Create a new check
      POST
    • Add items to check
      POST
    • Add payment to check
      POST
    • Add discount to check
      POST
  • Customers
    • List customers
      GET
    • Create customer
      POST
    • Update customer
      PATCH
  • Menu Items
    • List menu items (v2)
      GET
    • Get menu item by ID
      GET
    • Create menu item
      POST
    • Update menu item
      PATCH
  • Employees
    • List employees
      GET
  • Properties
    • List properties
      GET
  • Reports
    • Get daily totals (v2)
      GET
  • Accounting
    • List enterprises
      GET
    • Get enterprise by ID
      GET
  • Schemas
    • Schemas
      • PaginationMeta
      • Translation
      • Metafield
      • Error
      • Check
      • Customer
      • CustomerSummary
      • CustomerAccountDetail
      • MenuItem
      • Employee
      • Property
      • Enterprise
      • RevenueCenter
      • Table
      • SalesChannel
      • Delivery
      • CheckServiceCharge
      • CheckSummary
      • CheckDiscount
      • CheckPayment
      • CheckItem
      • CheckItemSummary
      • CheckOffer
      • Tax
      • Item
      • Device
      • Tag
      • ItemDefinition
      • CondimentGroup
      • DailyTotals
      • CreateCheckRequest
      • CreateCheckItemRequest
      • AddCheckPaymentRequest
      • AddCheckDiscountRequest
      • CreateCustomerRequest
      • CustomerAddressRequest
      • CustomerInvoiceRequest
      • UpdateCustomerRequest
      • CreateMenuItemRequest
      • UpdateMenuItemRequest
  1. Employees

List employees

Production
https://api.simpra.app
Production
https://api.simpra.app
GET
https://api.simpra.app
/employees
Retrieve a paginated list of employees

Request

Authorization
Add parameter in header
Simpra-Access-Token
Example:
Simpra-Access-Token: ********************
Query Params

Header Params

Responses

🟢200OK
application/json
Successfully retrieved employees
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.simpra.app/employees?page&per_page' \
--header 'Simpra-Access-Token: <api-key>' \
--header 'Content-Type: application\json'
Response Response Example
{
    "meta": {
        "has_next_page": true,
        "current_page": 0,
        "per_page_count": 0,
        "total_count": 0,
        "total_page": 0
    },
    "employees": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "first_name": "string",
            "last_name": "string",
            "phone_number": "string",
            "registration_no": "string",
            "property_id": "05003a8a-8f3c-454b-8884-a906ec46f5f5",
            "metafields": [
                {
                    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                    "key": "string",
                    "value": "string",
                    "value_type": "string",
                    "updated_at": 0
                }
            ]
        }
    ]
}
Modified at 2025-09-10 09:28:46
Previous
Update menu item
Next
List properties
Built with